// UMD Econ-626
// Fall 2019
// PS5
// RD

clear all
set obs 10000

// running variable
gen x=uniform()-0.5
// potential outcome without treatment
gen y0=x^3-0.1*x
// potential outcome with each of four treatments, A, B, C, D
gen y1A=y0+1
gen y1B=y0+1+x
gen y1C=y0+1-3*x+12*x^2
gen y1D=y0+cond(x>=0,-2,4)
// observed outcomes when the policy rule does treatment A
gen yA=cond(x>=0,y1A,y0)
// observed outcomes when the policy rule does treatment B
gen yB=cond(x>=0,y1B,y0)
// observed outcomes when the policy rule does treatment C
gen yC=cond(x>=0,y1C,y0)
// observed outcomes when the policy rule does treatment D
gen yD=cond(x>=0,y1D,y0)


// treatment effects B, C, and D vary with x, and are the differences
// between yB (or respectively yC or yD) and y0.


// 1. Generate variables betaA, betaB, betaC, and betaD that are the
//    differences y1A-y0, y1B-y0, y1C-y0, and y1D-y0, respectively.
//    Summarize these variables.

// 2. Graph these variables as a function of x.

// 3. Run regression discontinuity estimation (by hand, using rd, or using rdrobust)
//    for each of yA, yB, yC, and yD with x as the running variable.
//    What is the treatment effect estimate for each?

// 4. How does the answer to part 3 relate to the answer to part 1, especially in light of
//    section 2.2 of Imbens and Lemieux 2008 (esp. assumptions 2.1 and 2.2)? 
// 

